LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Linux From Scratch
User Name
Password
Linux From Scratch This Forum is for the discussion of LFS.
LFS is a project that provides you with the steps necessary to build your own custom Linux system.

Notices

Reply
 
Search this Thread
Old 12-19-2008, 06:09 AM   #1
R03L
Member
 
Registered: Feb 2008
Distribution: mepis, ubuntu server ed. Debian. Redhat. Fedora, centos, LFS
Posts: 211

Rep: Reputation: 31
GCC build error real.h mpfr_srcptr


i got this error
$:make

Code:
../../gcc-4.3.2/gcc/real.h:444: error: expected declaration specifiers or '...' before 'mpfr_srcptr'
../../gcc-4.3.2/gcc/real.h:444: error: expected declaration specifiers or '...' before 'mp_rnd_t'
../../gcc-4.3.2/gcc/real.h:445: error: expected ')' before 'const'
make[3]: *** [attribs.o] Fout 1
make[3]: Map '/mnt/lfs/gcc-build/gcc' wordt verlaten
make[2]: *** [all-stage2-gcc] Fout 2
make[2]: Map '/mnt/lfs/gcc-build' wordt verlaten
make[1]: *** [stage2-bubble] Fout 2
make[1]: Map '/mnt/lfs/gcc-build' wordt verlaten
make: *** [all] Fout 2
can anybody help or explain this.

Last edited by R03L; 12-19-2008 at 06:12 AM.
 
Old 12-19-2008, 08:26 AM   #2
vladmihaisima
Member
 
Registered: Oct 2002
Location: Delft, Netherlands
Distribution: Gentoo
Posts: 196

Rep: Reputation: 33
What version of mpfr are you using ? You could try downloading the latest mpfr.
 
Old 12-19-2008, 11:22 AM   #3
R03L
Member
 
Registered: Feb 2008
Distribution: mepis, ubuntu server ed. Debian. Redhat. Fedora, centos, LFS
Posts: 211

Original Poster
Rep: Reputation: 31
Quote:
Originally Posted by vladmihaisima View Post
What version of mpfr are you using ? You could try downloading the latest mpfr.
mpfr 2.3.2
i already tried version 2.3.1
 
Old 12-19-2008, 07:20 PM   #4
vladmihaisima
Member
 
Registered: Oct 2002
Location: Delft, Netherlands
Distribution: Gentoo
Posts: 196

Rep: Reputation: 33
Could you post more of the output? For example from the last command executed by the makefile (including the command).

I downloaded gcc 4.3.2 and mpfr 2.3.2 and I do not have any problem compiling that specific file...
 
Old 12-21-2008, 06:42 AM   #5
R03L
Member
 
Registered: Feb 2008
Distribution: mepis, ubuntu server ed. Debian. Redhat. Fedora, centos, LFS
Posts: 211

Original Poster
Rep: Reputation: 31
solved

i solved it by installing
mpfr devel package from whitin yum
mpfr-devel.i386
 
  


Reply

Tags
error, expected, gcc, lfs


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
GCC build error on Ubuntu 7.04 vikku Linux - Software 3 09-23-2008 06:45 AM
GCC build error lukeiamyourfather Linux From Scratch 5 01-05-2008 11:01 AM
Gcc Build error: target=Mips Kcghost Programming 2 05-18-2006 11:23 PM
gcc.real not found by apt-build sterrenkijker Debian 0 01-08-2005 03:01 PM
GCC first build for LFS, bootstrap error Blibblob Linux From Scratch 8 01-07-2004 05:50 PM


All times are GMT -5. The time now is 09:38 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration